(defun vypisInformaci(volajObj reactorObj paramList)
  (vl-load-com)
  (if (vlax-property-available-p volajObj "Length")
   (progn
    (princ "\nPrv jste zmnil velikost ry ve vkresu!\n Nov dlka ry je: \n")
    (princ (vla-get-length volajObj))
   )
  )
)

(defun c:cara()
  (vl-load-com)
  (setq prvniBod (getPoint "\nZadej prvn bod ry: "))
  (setq druhyBod (getPoint "\nZadej druh bod ry: "))
  
  (setq acadObjekt (vlax-get-acad-object)) 
  (setq acadDokument (vla-get-ActiveDocument acadObjekt))
  (setq modelProstor (vla-get-ModelSpace acadDokument)) 
  (setq mojeCara
   (vla-addLine modelProstor
    (vlax-3d-point prvniBod) (vlax-3d-point druhyBod)
   )
  )

  (setq lineReaktor   (vlr-object-reactor (list mojeCara)
	   "Line Reactor" '((:vlr-modified . vypisInformaci))))
)

(princ "\nFunkce se spust pkazem (c:cara) v IDE Visual LISPu")
(princ "\nFunkce se spust pkazem cara v AutoCADu")